<?xml version="1.0" encoding="UTF-8"?>
  <!-- PDS4 Schematron for PDS4_0.8.0.0.k  Thu May 17 15:30:57 PDT 2012 -->
  <!-- Generated from the PDS4 Information Model V0.8.0.0.k -->
  <!-- *** This PDS4 schematron file is a preliminary deliverable. *** -->
  <!-- *** It is being made available for review and testing. *** -->
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">

  <sch:title>Sample Schematron using XPath 2.0</sch:title>

  <sch:ns uri="http://pds.nasa.gov/schema/pds4/pds/v08" prefix="pds"/>

		   <!-- =================================================== -->
		   <!-- NOTE:  There are two sections of schematron rules.  -->
		   <!--        The first section includes rules             -->
		   <!--        written for specific situations.             -->
		   <!--        The second section includes rules            -->
		   <!--        generated from enumerated lists.             -->
		   <!-- =================================================== -->

		   <!-- =================================================== -->
		   <!-- NOTE:  The following section includes rules         -->
		   <!--        written for specific situations.             -->
		   <!-- =================================================== -->

  <sch:pattern>
    <sch:rule context="pds:Array_2D_Image/pds:Axis_Array[1]">
      <sch:assert test="pds:axis_name = ('Line', 'Sample')">
        The name of the first axis of an Array_2d_Image must be set to either Line or Sample.</sch:assert>
      <sch:assert test="pds:sequence_number eq '1'">
        The sequence number of the first axis of an Array_2d_Image must be set to 1.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Array_2D_Image/pds:Axis_Array[2]">
      <sch:assert test="pds:axis_name = ('Line', 'Sample')">
        The name of the second axis of an Array_2d_Image must be set to either Line or Sample.</sch:assert>
      <sch:assert test="pds:sequence_number eq '2'">
        The sequence number of the second axis of an Array_2d_Image must be set to 2.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Delivery_Manifest/pds:Record_Character/pds:Field_Character[1]">
      <sch:assert test="pds:field_number eq '1'">
        The first field of a Delivery Manifest must have field_number set to 1.</sch:assert>
      <sch:assert test="pds:field_location eq '1'">
        The first field of a Delivery Manifest must have field_location set to 1.</sch:assert>
      <sch:assert test="pds:data_type eq 'ASCII_MD5_Checksum'">
        The first field of a Delivery Manifest must have data_type set to ASCII_MD5_Checksum.</sch:assert>
      <sch:assert test="pds:name eq 'MD5_Checksum'">
        The first field of a Delivery Manifest must have name set to MD5_Checksum.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Delivery_Manifest/pds:Record_Character/pds:Field_Character[2]">
      <sch:assert test="pds:field_number eq '2'">
        The second field of a Delivery Manifest must have field_number set to 2.</sch:assert>
      <sch:assert test="pds:field_location eq '17'">
        The second field of a Delivery Manifest must have field_location set to 17.</sch:assert>
      <sch:assert test="pds:data_type eq 'ASCII_File_Specification_Name'">
        The second field of a Delivery Manifest must have data_type set to ASCII_File_Specification_Name.</sch:assert>
      <sch:assert test="pds:name eq 'File_Specification_Name'">
        The second field of a Delivery Manifest must have name set to File_Specification_Name.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="/*">
      <sch:assert test="name() = ('Product_Browse','Product_Bundle','Product_Collection','Product_Context','Product_Document','Product_File_Text','Product_Observational','Product_SPICE_Kernel','Product_Thumbnail','Product_XML_Schema','Product_Delivery_Manifest','Product_Update')">
        The ROOT element is not one of the allowed product types.</sch:assert>
      <sch:assert test="name() eq pds:Identification_Area/pds:product_class">
        The name of the Product type is not equal to the value of the product_class attribute.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Internal_Reference">
      <sch:assert test="if (pds:lid_reference) then starts-with(pds:lid_reference,'urn:nasa:pds:') else true()">
        The value of the attribute lid_reference must start with 'urn:nasa:pds:'</sch:assert>
      <sch:assert test="if (pds:lidvid_reference) then starts-with(pds:lidvid_reference,'urn:nasa:pds:') else true()">
        The value of the attribute lidvid_reference must start with 'urn:nasa:pds:'</sch:assert>
      <sch:assert test="if (pds:lidvid_reference) then contains(pds:lidvid_reference,'::') else true()">
        The value of the attribute lidvid_reference must include a value that contains '::' followed by version id</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Inventory">
      <sch:assert test="((pds:reference_type eq 'has_member_LIDVID_Primary') and (count(pds:Record_Character/pds:Field_Character) eq 2)) or ((pds:reference_type eq 'has_member_LIDVID_Secondary') and (count(pds:Record_Character/pds:Field_Character) &gt;= 1) and (count(pds:Record_Character/pds:Field_Character) &lt;= 2)) or ((pds:reference_type eq 'has_member_LID_Secondary') and (count(pds:Record_Character/pds:Field_Character) &gt;= 1) and (count(pds:Record_Character/pds:Field_Character) &lt;= 2))">
        Inventory.Field_Character does not match the expected number of instances</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Inventory/pds:Record_Character/pds:Field_Character[1]">
      <sch:assert test="pds:field_number eq '1'">
        The first field of an Inventory must have field_number set to 1.</sch:assert>
      <sch:assert test="pds:field_location  eq '1'">
        The first field of an Inventory must have field_location set to 1.</sch:assert>
      <sch:assert test="(pds:data_type eq 'ASCII_LIDVID') or (pds:data_type eq 'ASCII_LID')">
        The first field of an Inventory must have data_type set to 'ASCII_LIDVID' or 'ASCII_LID'.</sch:assert>
      <sch:assert test="(pds:name eq 'LIDVID') or (pds:name eq 'LID')">
        The first field of an Inventory must have name set to 'LIDVID' or 'LID'.</sch:assert>
      <sch:assert test="((pds:data_type eq 'ASCII_LIDVID') and (pds:name eq 'LIDVID')) or ((pds:data_type eq 'ASCII_LID') and (pds:name eq 'LID'))">
        The first field of an Inventory must have name set to 'LIDVID' or 'LID' and data_type set to 'ASCII_LIDVID' or 'ASCII_LID', respectively.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Inventory/pds:Record_Character/pds:Field_Character[2]">
      <sch:assert test="pds:field_number eq '2'">
        The second field of an Inventory must have field_number set to 2.</sch:assert>
      <sch:assert test="pds:data_type eq 'ASCII_File_Specification_Name'">
        The second field of an Inventory must have data type set to 'ASCII_File_Specification_Name'.</sch:assert>
      <sch:assert test="pds:name eq 'File_Specification_Name'">
        The second field of an Inventory must have name set to 'File_Specification_Name'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Investigation_Area/pds:Internal_Reference">
      <sch:assert test="every $ref in (pds:reference_type) satisfies $ref = ('data_to_investigation', 'collection_to_investigation', 'bundle_to_investigation')">
        The attribute reference_type must be set to one of the following values 'data_to_investigation', 'collection_to_investigation', 'bundle_to_investigation'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Observing_System_Component/pds:Internal_Reference">
      <sch:assert test="every $ref in (pds:reference_type) satisfies $ref = ('is_instrument', 'is_instrument_host')">
        The attribute reference_type must be set to one of the following values 'is_instrument', 'is_instrument_host'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Product_Collection/pds:Reference_List/pds:Internal_Reference">
      <sch:assert test="every $ref in (pds:reference_type) satisfies $ref = ('data_collection_to_resource', 'data_collection_to_associate', 'data_collection_to_calibration', 'data_collection_to_geometry', 'data_collection_to_spice_kernel', 'data_collection_curated_by_node', 'data_collection_to_document', 'data_collection_to_browse', 'data_collection_to_context', 'data_collection_to_data', 'data_collection_to_document', 'data_collection_to_schema')">
        The attribute reference_type must be set to one of the following values 'data_collection_to_resource', 'data_collection_to_associate', 'data_collection_to_calibration', 'data_collection_to_geometry', 'data_collection_to_spice_kernel', 'data_collection_curated_by_node', 'data_collection_to_document', 'data_collection_to_browse', 'data_collection_to_context', 'data_collection_to_data', 'data_collection_to_document', 'data_collection_to_schema'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Product_Context/pds:Reference_List/pds:Internal_Reference">
      <sch:assert test="every $ref in (pds:reference_type) satisfies $ref = ('context_to_resource', 'context_to_associate', 'context_to_document', 'instrument_host_to_investigation', 'instrument_to_instrument_host', 'investigation_to_target', 'instrument_host_to_target')">
        The attribute reference_type must be set to one of the following values 'context_to_resource', 'context_to_associate', 'context_to_document', 'instrument_host_to_investigation', 'instrument_to_instrument_host', 'investigation_to_target', 'instrument_host_to_target'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Product_Document/pds:Reference_List/pds:Internal_Reference">
      <sch:assert test="every $ref in (pds:reference_type) satisfies $ref = ('document_to_associate', 'document_to_investigation', 'document_to_instrument_host', 'document_to_instrument', 'document_to_target')">
        The attribute reference_type must be set to one of the following values 'document_to_associate', 'document_to_investigation', 'document_to_instrument_host', 'document_to_instrument', 'document_to_target'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Product_Observational/pds:Reference_List/pds:Internal_Reference">
      <sch:assert test="every $ref in (pds:reference_type) satisfies $ref = ('data_to_resource', 'data_to_calibration', 'data_to_geometry', 'data_to_spice_kernel', 'data_to_thumbnail', 'data_to_document', 'data_to_browse', 'bundle_to_document', 'collection_to_document')">
        The attribute reference_type must be set to one of the following values 'data_to_resource', 'data_to_calibration', 'data_to_geometry', 'data_to_spice_kernel', 'data_to_thumbnail', 'data_to_document', 'data_to_browse', 'bundle_to_document', 'collection_to_document'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Product_Operational/pds:Reference_List/pds:Internal_Reference">
      <sch:assert test="every $ref in (pds:reference_type) satisfies $ref = ('operational_to_resource', 'operational_to_associate', 'operational_to_document')">
        The attribute reference_type must be set to one of the following values 'operational_to_resource', 'operational_to_associate', 'operational_to_document'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Target_Identification/pds:Internal_Reference">
      <sch:assert test="every $ref in (pds:reference_type) satisfies $ref = ('data_to_target', 'collection_to_target', 'bundle_to_target')">
        The attribute reference_type must be set to one of the following values 'data_to_target', 'collection_to_target', 'bundle_to_target'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Update_Entry/pds:Internal_Reference">
      <sch:assert test="every $ref in (pds:reference_type) satisfies $ref = ('data_to_update', 'collection_to_update', 'bundle_to_update')">
        The attribute reference_type must be set to one of the following values 'data_to_update', 'collection_to_update', 'bundle_to_update'.</sch:assert>
    </sch:rule>
  </sch:pattern>

		   <!-- =================================================== -->
		   <!-- NOTE:  The following section includes rules         -->
		   <!--        generated from enumerated lists.             -->
		   <!-- =================================================== -->

  <sch:pattern>
    <sch:rule context="pds:Array">
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
      <sch:assert test="pds:axis_index_order = ('Last_Index_Fastest')">
        The attribute axis_index_order must be equal to 'Last_Index_Fastest'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Array_2D">
      <sch:assert test="pds:axes = ('2')">
        The attribute axes must be equal to '2'.</sch:assert>
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
      <sch:assert test="pds:axis_index_order = ('Last_Index_Fastest')">
        The attribute axis_index_order must be equal to 'Last_Index_Fastest'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Array_2D_Image">
      <sch:assert test="pds:axes = ('2')">
        The attribute axes must be equal to '2'.</sch:assert>
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
      <sch:assert test="pds:axis_index_order = ('Last_Index_Fastest')">
        The attribute axis_index_order must be equal to 'Last_Index_Fastest'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Array_2D_Map">
      <sch:assert test="pds:axes = ('2')">
        The attribute axes must be equal to '2'.</sch:assert>
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
      <sch:assert test="pds:axis_index_order = ('Last_Index_Fastest')">
        The attribute axis_index_order must be equal to 'Last_Index_Fastest'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Array_2D_Spectrum">
      <sch:assert test="pds:axes = ('2')">
        The attribute axes must be equal to '2'.</sch:assert>
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
      <sch:assert test="pds:axis_index_order = ('Last_Index_Fastest')">
        The attribute axis_index_order must be equal to 'Last_Index_Fastest'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Array_3D">
      <sch:assert test="pds:axes = ('3')">
        The attribute axes must be equal to '3'.</sch:assert>
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
      <sch:assert test="pds:axis_index_order = ('Last_Index_Fastest')">
        The attribute axis_index_order must be equal to 'Last_Index_Fastest'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Array_3D_Image">
      <sch:assert test="pds:axes = ('3')">
        The attribute axes must be equal to '3'.</sch:assert>
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
      <sch:assert test="pds:axis_index_order = ('Last_Index_Fastest')">
        The attribute axis_index_order must be equal to 'Last_Index_Fastest'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Array_3D_Movie">
      <sch:assert test="pds:axes = ('3')">
        The attribute axes must be equal to '3'.</sch:assert>
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
      <sch:assert test="pds:axis_index_order = ('Last_Index_Fastest')">
        The attribute axis_index_order must be equal to 'Last_Index_Fastest'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Array_3D_Spectrum">
      <sch:assert test="pds:axes = ('3')">
        The attribute axes must be equal to '3'.</sch:assert>
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
      <sch:assert test="pds:axis_index_order = ('Last_Index_Fastest')">
        The attribute axis_index_order must be equal to 'Last_Index_Fastest'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Bundle">
      <sch:assert test="pds:bundle_type = ('Archive', 'Supplemental')">
        The attribute bundle_type must be equal to one of the following values 'Archive', 'Supplemental'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Bundle_Member_Entry">
      <sch:assert test="pds:reference_type = ('bundle_has_browse_collection', 'bundle_has_calibration_collection', 'bundle_has_context_collection', 'bundle_has_data_collection', 'bundle_has_document_collection', 'bundle_has_geometry_collection', 'bundle_has_member_collection', 'bundle_has_schema_collection', 'bundle_has_spice_kernel_collection')">
        The attribute reference_type must be equal to one of the following values 'bundle_has_browse_collection', 'bundle_has_calibration_collection', 'bundle_has_context_collection', 'bundle_has_data_collection', 'bundle_has_document_collection', 'bundle_has_geometry_collection', 'bundle_has_member_collection', 'bundle_has_schema_collection', 'bundle_has_spice_kernel_collection'.</sch:assert>
      <sch:assert test="pds:member_status = ('Primary', 'Secondary_No_File', 'Secondary_With_File')">
        The attribute member_status must be equal to one of the following values 'Primary', 'Secondary_No_File', 'Secondary_With_File'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Collection">
      <sch:assert test="pds:collection_type = ('Browse', 'Calibration', 'Context', 'Data', 'Document', 'Geometry', 'Miscellaneous', 'SPICE', 'Schema')">
        The attribute collection_type must be equal to one of the following values 'Browse', 'Calibration', 'Context', 'Data', 'Document', 'Geometry', 'Miscellaneous', 'SPICE', 'Schema'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Display_2D_Image">
      <sch:assert test="pds:line_display_direction = ('Down', 'Up')">
        The attribute line_display_direction must be equal to one of the following values 'Down', 'Up'.</sch:assert>
      <sch:assert test="pds:sample_display_direction = ('Right')">
        The attribute sample_display_direction must be equal to 'Right'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Document_File">
      <sch:assert test="pds:external_standard_id = ('ASCII', 'Encapsulated_Postscript', 'GIF', 'HTML', 'JPG', 'LaTEX', 'Microsoft_Word', 'PDF', 'PDF-A', 'PNG', 'Postscript', 'Rich_Text', 'TIFF', 'UTF-8')">
        The attribute external_standard_id must be equal to one of the following values 'ASCII', 'Encapsulated_Postscript', 'GIF', 'HTML', 'JPG', 'LaTEX', 'Microsoft_Word', 'PDF', 'PDF-A', 'PNG', 'Postscript', 'Rich_Text', 'TIFF', 'UTF-8'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Document_Format">
      <sch:assert test="pds:format_type = ('multiple_file', 'single_file')">
        The attribute format_type must be equal to one of the following values 'multiple_file', 'single_file'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Element_Array">
      <sch:assert test="pds:data_type = ('IEEE754LSBDouble', 'IEEE754LSBSingle', 'IEEE754MSBDouble', 'IEEE754MSBSingle', 'SignedByte', 'SignedLSB2', 'SignedLSB4', 'SignedLSB8', 'SignedMSB2', 'SignedMSB4', 'SignedMSB8', 'UnsignedByte', 'UnsignedLSB2', 'UnsignedLSB4', 'UnsignedLSB8', 'UnsignedMSB2', 'UnsignedMSB4', 'UnsignedMSB8')">
        The attribute data_type must be equal to one of the following values 'IEEE754LSBDouble', 'IEEE754LSBSingle', 'IEEE754MSBDouble', 'IEEE754MSBSingle', 'SignedByte', 'SignedLSB2', 'SignedLSB4', 'SignedLSB8', 'SignedMSB2', 'SignedMSB4', 'SignedMSB8', 'UnsignedByte', 'UnsignedLSB2', 'UnsignedLSB4', 'UnsignedLSB8', 'UnsignedMSB2', 'UnsignedMSB4', 'UnsignedMSB8'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Encoded_Binary">
      <sch:assert test="pds:external_standard_id = ('System')">
        The attribute external_standard_id must be equal to 'System'.</sch:assert>
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Encoded_Byte_Stream">
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Encoded_Image">
      <sch:assert test="pds:external_standard_id = ('GIF', 'JPEG', 'PDF', 'PDF-A', 'PNG', 'TIFF')">
        The attribute external_standard_id must be equal to one of the following values 'GIF', 'JPEG', 'PDF', 'PDF-A', 'PNG', 'TIFF'.</sch:assert>
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Field_Binary">
      <sch:assert test="pds:data_type = ('ASCII_AnyURI', 'ASCII_Boolean', 'ASCII_DOI', 'ASCII_Date_DOY', 'ASCII_Date_Time_DOY', 'ASCII_Date_Time_UTC', 'ASCII_Date_Time_YMD', 'ASCII_Date_YMD', 'ASCII_File_Name', 'ASCII_File_Specification_Name', 'ASCII_Integer', 'ASCII_LID', 'ASCII_LIDVID', 'ASCII_MD5_Checksum', 'ASCII_NonNegative_Integer', 'ASCII_Numeric_Base16', 'ASCII_Numeric_Base2', 'ASCII_Real', 'ASCII_Short_String_Collapsed', 'ASCII_Short_String_Preserved', 'ASCII_String', 'ASCII_Text_Preserved', 'ASCII_Time', 'ASCII_VID', 'ComplexLSB16', 'ComplexLSB8', 'ComplexMSB16', 'ComplexMSB8', 'IEEE754LSBDouble', 'IEEE754LSBSingle', 'IEEE754MSBDouble', 'IEEE754MSBSingle', 'SignedByte', 'SignedLSB2', 'SignedLSB4', 'SignedLSB8', 'SignedMSB2', 'SignedMSB4', 'SignedMSB8', 'UTF8_String', 'UnsignedByte', 'UnsignedLSB2', 'UnsignedLSB4', 'UnsignedLSB8', 'UnsignedMSB2', 'UnsignedMSB4', 'UnsignedMSB8')">
        The attribute data_type must be equal to one of the following values 'ASCII_AnyURI', 'ASCII_Boolean', 'ASCII_DOI', 'ASCII_Date_DOY', 'ASCII_Date_Time_DOY', 'ASCII_Date_Time_UTC', 'ASCII_Date_Time_YMD', 'ASCII_Date_YMD', 'ASCII_File_Name', 'ASCII_File_Specification_Name', 'ASCII_Integer', 'ASCII_LID', 'ASCII_LIDVID', 'ASCII_MD5_Checksum', 'ASCII_NonNegative_Integer', 'ASCII_Numeric_Base16', 'ASCII_Numeric_Base2', 'ASCII_Real', 'ASCII_Short_String_Collapsed', 'ASCII_Short_String_Preserved', 'ASCII_String', 'ASCII_Text_Preserved', 'ASCII_Time', 'ASCII_VID', 'ComplexLSB16', 'ComplexLSB8', 'ComplexMSB16', 'ComplexMSB8', 'IEEE754LSBDouble', 'IEEE754LSBSingle', 'IEEE754MSBDouble', 'IEEE754MSBSingle', 'SignedByte', 'SignedLSB2', 'SignedLSB4', 'SignedLSB8', 'SignedMSB2', 'SignedMSB4', 'SignedMSB8', 'UTF8_String', 'UnsignedByte', 'UnsignedLSB2', 'UnsignedLSB4', 'UnsignedLSB8', 'UnsignedMSB2', 'UnsignedMSB4', 'UnsignedMSB8'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Field_Bit">
      <sch:assert test="pds:data_type = ('SignedBitString', 'UnsignedBitString')">
        The attribute data_type must be equal to one of the following values 'SignedBitString', 'UnsignedBitString'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Field_Character">
      <sch:assert test="pds:data_type = ('ASCII_AnyURI', 'ASCII_Boolean', 'ASCII_DOI', 'ASCII_Date_DOY', 'ASCII_Date_Time_DOY', 'ASCII_Date_Time_UTC', 'ASCII_Date_Time_YMD', 'ASCII_Date_YMD', 'ASCII_File_Name', 'ASCII_File_Specification_Name', 'ASCII_Integer', 'ASCII_LID', 'ASCII_LIDVID', 'ASCII_MD5_Checksum', 'ASCII_NonNegative_Integer', 'ASCII_Numeric_Base16', 'ASCII_Numeric_Base2', 'ASCII_Real', 'ASCII_Short_String_Collapsed', 'ASCII_Short_String_Preserved', 'ASCII_String', 'ASCII_Text_Preserved', 'ASCII_Time', 'ASCII_VID', 'UTF8_String')">
        The attribute data_type must be equal to one of the following values 'ASCII_AnyURI', 'ASCII_Boolean', 'ASCII_DOI', 'ASCII_Date_DOY', 'ASCII_Date_Time_DOY', 'ASCII_Date_Time_UTC', 'ASCII_Date_Time_YMD', 'ASCII_Date_YMD', 'ASCII_File_Name', 'ASCII_File_Specification_Name', 'ASCII_Integer', 'ASCII_LID', 'ASCII_LIDVID', 'ASCII_MD5_Checksum', 'ASCII_NonNegative_Integer', 'ASCII_Numeric_Base16', 'ASCII_Numeric_Base2', 'ASCII_Real', 'ASCII_Short_String_Collapsed', 'ASCII_Short_String_Preserved', 'ASCII_String', 'ASCII_Text_Preserved', 'ASCII_Time', 'ASCII_VID', 'UTF8_String'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Field_Delimited">
      <sch:assert test="pds:data_type = ('ASCII_AnyURI', 'ASCII_Boolean', 'ASCII_DOI', 'ASCII_Date_DOY', 'ASCII_Date_Time_DOY', 'ASCII_Date_Time_UTC', 'ASCII_Date_Time_YMD', 'ASCII_Date_YMD', 'ASCII_File_Name', 'ASCII_File_Specification_Name', 'ASCII_Integer', 'ASCII_LID', 'ASCII_LIDVID', 'ASCII_MD5_Checksum', 'ASCII_NonNegative_Integer', 'ASCII_Numeric_Base16', 'ASCII_Numeric_Base2', 'ASCII_Real', 'ASCII_Short_String_Collapsed', 'ASCII_Short_String_Preserved', 'ASCII_String', 'ASCII_Text_Preserved', 'ASCII_Time', 'ASCII_VID', 'UTF8_String')">
        The attribute data_type must be equal to one of the following values 'ASCII_AnyURI', 'ASCII_Boolean', 'ASCII_DOI', 'ASCII_Date_DOY', 'ASCII_Date_Time_DOY', 'ASCII_Date_Time_UTC', 'ASCII_Date_Time_YMD', 'ASCII_Date_YMD', 'ASCII_File_Name', 'ASCII_File_Specification_Name', 'ASCII_Integer', 'ASCII_LID', 'ASCII_LIDVID', 'ASCII_MD5_Checksum', 'ASCII_NonNegative_Integer', 'ASCII_Numeric_Base16', 'ASCII_Numeric_Base2', 'ASCII_Real', 'ASCII_Short_String_Collapsed', 'ASCII_Short_String_Preserved', 'ASCII_String', 'ASCII_Text_Preserved', 'ASCII_Time', 'ASCII_VID', 'UTF8_String'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Header">
      <sch:assert test="pds:external_standard_id = ('ASCII', 'FITS', 'ISIS2', 'ISIS3', 'ISIS_History', 'ODL', 'PDS1', 'PDS2', 'PDS3', 'TIFF', 'VICAR')">
        The attribute external_standard_id must be equal to one of the following values 'ASCII', 'FITS', 'ISIS2', 'ISIS3', 'ISIS_History', 'ODL', 'PDS1', 'PDS2', 'PDS3', 'TIFF', 'VICAR'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Header_Encoded">
      <sch:assert test="pds:external_standard_id = ('TIFF')">
        The attribute external_standard_id must be equal to 'TIFF'.</sch:assert>
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Identification_Area">
      <sch:assert test="pds:information_model_version = ('0.8.0.0.k')">
        The attribute information_model_version must be equal to '0.8.0.0.k'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Instrument">
      <sch:assert test="pds:type = ('Accelerometer', 'Altimeter', 'Camera', 'Cosmic_Ray_Detector', 'Detector_Array', 'Dust_Analyzer', 'Imaging_Spectrometer', 'Magnetometer', 'Meteorology', 'Naked_Eye', 'Other', 'Particle_Detector', 'Photometer', 'Plasma_Analyzer', 'Radio_Science', 'Radio_Spectrometer', 'Radio_Telescope', 'Radiometer', 'Reflectometer', 'Spectrograph_Imager', 'Spectrometer')">
        The attribute type must be equal to one of the following values 'Accelerometer', 'Altimeter', 'Camera', 'Cosmic_Ray_Detector', 'Detector_Array', 'Dust_Analyzer', 'Imaging_Spectrometer', 'Magnetometer', 'Meteorology', 'Naked_Eye', 'Other', 'Particle_Detector', 'Photometer', 'Plasma_Analyzer', 'Radio_Science', 'Radio_Spectrometer', 'Radio_Telescope', 'Radiometer', 'Reflectometer', 'Spectrograph_Imager', 'Spectrometer'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Instrument_Host">
      <sch:assert test="pds:type = ('Earth_Based', 'Rover', 'Spacecraft')">
        The attribute type must be equal to one of the following values 'Earth_Based', 'Rover', 'Spacecraft'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Inventory">
      <sch:assert test="pds:encoding_type = ('Character')">
        The attribute encoding_type must be equal to 'Character'.</sch:assert>
      <sch:assert test="pds:reference_type = ('inventory_has_LIDVID_Primary', 'inventory_has_LIDVID_Secondary', 'inventory_has_LID_Secondary')">
        The attribute reference_type must be equal to one of the following values 'inventory_has_LIDVID_Primary', 'inventory_has_LIDVID_Secondary', 'inventory_has_LID_Secondary'.</sch:assert>
      <sch:assert test="pds:record_delimiter = ('carriage_return', 'carriage_return line_feed', 'line_feed')">
        The attribute record_delimiter must be equal to one of the following values 'carriage_return', 'carriage_return line_feed', 'line_feed'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Investigation">
      <sch:assert test="pds:type = ('Individual_Investigation', 'Mission', 'Observing_Campaign', 'Other_Investigation')">
        The attribute type must be equal to one of the following values 'Individual_Investigation', 'Mission', 'Observing_Campaign', 'Other_Investigation'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Investigation_Area">
      <sch:assert test="pds:type = ('Individual_Investigation', 'Mission', 'Observing_Campaign', 'Other_Investigation')">
        The attribute type must be equal to one of the following values 'Individual_Investigation', 'Mission', 'Observing_Campaign', 'Other_Investigation'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Node">
      <sch:assert test="pds:name = ('Engineering', 'Geosciences', 'Imaging', 'Management', 'Navigation_Ancillary_Information_Facility', 'Planetary_Atmospheres', 'Planetary_Plasma_Interactions', 'Planetary_Rings', 'Radio_Science', 'Small_Bodies')">
        The attribute name must be equal to one of the following values 'Engineering', 'Geosciences', 'Imaging', 'Management', 'Navigation_Ancillary_Information_Facility', 'Planetary_Atmospheres', 'Planetary_Plasma_Interactions', 'Planetary_Rings', 'Radio_Science', 'Small_Bodies'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Observing_System_Component">
      <sch:assert test="pds:observing_system_component_type = ('Analyst', 'Artificial_Illumination', 'Ground-based_Laboratory', 'Ground-based_Observatory', 'Ground-based_Telescope', 'Instrument', 'Literature_Search', 'PDS_Archived_Data', 'Spacecraft')">
        The attribute observing_system_component_type must be equal to one of the following values 'Analyst', 'Artificial_Illumination', 'Ground-based_Laboratory', 'Ground-based_Observatory', 'Ground-based_Telescope', 'Instrument', 'Literature_Search', 'PDS_Archived_Data', 'Spacecraft'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:PDS_Affiliate">
      <sch:assert test="pds:affiliation_type = ('Affiliate', 'Data_Provider', 'Manager', 'Technical_Staff')">
        The attribute affiliation_type must be equal to one of the following values 'Affiliate', 'Data_Provider', 'Manager', 'Technical_Staff'.</sch:assert>
      <sch:assert test="pds:team_name = ('Engineering', 'Geosciences', 'Headquarters', 'Imaging', 'Management', 'National_Space_Science_Data_Center', 'Navigation_Ancillary_Information_Facility', 'Planetary_Atmospheres', 'Planetary_Plasma_Interactions', 'Planetary_Rings', 'Radio_Science', 'Small_Bodies')">
        The attribute team_name must be equal to one of the following values 'Engineering', 'Geosciences', 'Headquarters', 'Imaging', 'Management', 'National_Space_Science_Data_Center', 'Navigation_Ancillary_Information_Facility', 'Planetary_Atmospheres', 'Planetary_Plasma_Interactions', 'Planetary_Rings', 'Radio_Science', 'Small_Bodies'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Primary_Result_Description">
      <sch:assert test="pds:data_regime = ('Dust', 'Dust_Particle_Counts', 'Electric_Field', 'Electrons', 'Far_Infrared', 'Gamma_Ray', 'Impacts', 'Infrared', 'Ions', 'Magnetic_Field', 'Mass_Spectra', 'Microwave', 'Millimeter', 'Near_Infrared', 'Optical', 'Particles', 'Radio', 'Sub-Millimeter', 'Ultraviolet', 'Visible', 'X-Ray')">
        The attribute data_regime must be equal to one of the following values 'Dust', 'Dust_Particle_Counts', 'Electric_Field', 'Electrons', 'Far_Infrared', 'Gamma_Ray', 'Impacts', 'Infrared', 'Ions', 'Magnetic_Field', 'Mass_Spectra', 'Microwave', 'Millimeter', 'Near_Infrared', 'Optical', 'Particles', 'Radio', 'Sub-Millimeter', 'Ultraviolet', 'Visible', 'X-Ray'.</sch:assert>
      <sch:assert test="pds:type = ('Astrometry', 'B-Field_Vectors', 'Column_Density', 'Comet_Nuclear_Properties', 'Count', 'Count_Rate', 'Data_Number', 'Digital_Elevation_Model', 'E-Field_Vectors', 'Environment', 'Environment::Hardware_Temperature', 'Filter_Curve', 'Flux', 'Flux::Electron', 'Flux::Ion', 'Flux::Photometric', 'Gravity_Model', 'Gravity_Model::Spherical_Harmonics', 'Image', 'Image::Anaglyph', 'Image::Color', 'Image::Filtered', 'Impact_Characteristics', 'Instrument', 'Instrument::Geometry', 'Instrument::Parameters', 'Lightcurve', 'Magnetometry', 'Magnitude', 'Map', 'Map::Radiance', 'Map::Thermal', 'Morphology', 'Null_Result', 'Photometry', 'Photometry::Aperture', 'Photometry::High-Speed', 'Photometry::Magnitude', 'Point_Spread_Function', 'Polarimetry', 'Pressure', 'Production_Rate', 'Pulse_Heights', 'Radiometry', 'Shape_Model', 'Shape_Model::Spherical_Harmonics', 'Shape_Model::Triangular_Plate', 'Spectrometry', 'Spectrophotometry', 'Spectroscopy', 'Spectrum', 'Spectrum::Frequency', 'Spectrum::Grism', 'Spectrum::Image', 'Spectrum::Lines', 'Spectrum::Mass', 'Spectrum::Time-Of-Flight', 'Spin_State')">
        The attribute type must be equal to one of the following values 'Astrometry', 'B-Field_Vectors', 'Column_Density', 'Comet_Nuclear_Properties', 'Count', 'Count_Rate', 'Data_Number', 'Digital_Elevation_Model', 'E-Field_Vectors', 'Environment', 'Environment::Hardware_Temperature', 'Filter_Curve', 'Flux', 'Flux::Electron', 'Flux::Ion', 'Flux::Photometric', 'Gravity_Model', 'Gravity_Model::Spherical_Harmonics', 'Image', 'Image::Anaglyph', 'Image::Color', 'Image::Filtered', 'Impact_Characteristics', 'Instrument', 'Instrument::Geometry', 'Instrument::Parameters', 'Lightcurve', 'Magnetometry', 'Magnitude', 'Map', 'Map::Radiance', 'Map::Thermal', 'Morphology', 'Null_Result', 'Photometry', 'Photometry::Aperture', 'Photometry::High-Speed', 'Photometry::Magnitude', 'Point_Spread_Function', 'Polarimetry', 'Pressure', 'Production_Rate', 'Pulse_Heights', 'Radiometry', 'Shape_Model', 'Shape_Model::Spherical_Harmonics', 'Shape_Model::Triangular_Plate', 'Spectrometry', 'Spectrophotometry', 'Spectroscopy', 'Spectrum', 'Spectrum::Frequency', 'Spectrum::Grism', 'Spectrum::Image', 'Spectrum::Lines', 'Spectrum::Mass', 'Spectrum::Time-Of-Flight', 'Spin_State'.</sch:assert>
      <sch:assert test="pds:purpose = ('Calibration', 'Checkout', 'Engineering', 'Navigation', 'Science')">
        The attribute purpose must be equal to one of the following values 'Calibration', 'Checkout', 'Engineering', 'Navigation', 'Science'.</sch:assert>
      <sch:assert test="pds:reduction_level = ('Calibrated', 'Derived', 'Raw', 'Reduced')">
        The attribute reduction_level must be equal to one of the following values 'Calibrated', 'Derived', 'Raw', 'Reduced'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Quaternion">
      <sch:assert test="pds:type = ('type1', 'type2')">
        The attribute type must be equal to one of the following values 'type1', 'type2'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:SPICE_Kernel">
      <sch:assert test="pds:encoding_type = ('Binary', 'Character')">
        The attribute encoding_type must be equal to one of the following values 'Binary', 'Character'.</sch:assert>
      <sch:assert test="pds:kernel_type = ('CK', 'DBK', 'DSK', 'EK', 'FK', 'IK', 'LSK', 'MK', 'PCK', 'SCLK', 'SPK')">
        The attribute kernel_type must be equal to one of the following values 'CK', 'DBK', 'DSK', 'EK', 'FK', 'IK', 'LSK', 'MK', 'PCK', 'SCLK', 'SPK'.</sch:assert>
      <sch:assert test="pds:external_standard_id = ('SPICE')">
        The attribute external_standard_id must be equal to 'SPICE'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Stream_Text">
      <sch:assert test="pds:encoding_type = ('Character')">
        The attribute encoding_type must be equal to 'Character'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Table_Binary">
      <sch:assert test="pds:encoding_type = ('Binary')">
        The attribute encoding_type must be equal to 'Binary'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Table_Character">
      <sch:assert test="pds:encoding_type = ('Character')">
        The attribute encoding_type must be equal to 'Character'.</sch:assert>
      <sch:assert test="pds:record_delimiter = ('carriage_return', 'carriage_return line_feed', 'line_feed')">
        The attribute record_delimiter must be equal to one of the following values 'carriage_return', 'carriage_return line_feed', 'line_feed'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Table_Delimited">
      <sch:assert test="pds:encoding_type = ('Character')">
        The attribute encoding_type must be equal to 'Character'.</sch:assert>
      <sch:assert test="pds:record_delimiter = ('carriage_return', 'carriage_return line_feed', 'line_feed')">
        The attribute record_delimiter must be equal to one of the following values 'carriage_return', 'carriage_return line_feed', 'line_feed'.</sch:assert>
      <sch:assert test="pds:external_standard_id = ('PDS_CSV')">
        The attribute external_standard_id must be equal to 'PDS_CSV'.</sch:assert>
      <sch:assert test="pds:field_delimiter = ('comma', 'horizontal_tab', 'semicolon', 'verticle_bar')">
        The attribute field_delimiter must be equal to one of the following values 'comma', 'horizontal_tab', 'semicolon', 'verticle_bar'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Target">
      <sch:assert test="pds:type = ('Asteroid', 'Comet', 'Dust', 'Dwarf_Planet', 'Galaxy', 'Globular_Cluster', 'Meteorite', 'Meteoroid', 'Meteoroid_Stream', 'Nebula', 'Open_Cluster', 'Planet', 'Planetary_Nebula', 'Planetary_System', 'Plasma_Cloud', 'Ring', 'Satellite', 'Star', 'Star_Cluster', 'Sun', 'Terrestrial_Sample', 'Trans-Neptunian_Object')">
        The attribute type must be equal to one of the following values 'Asteroid', 'Comet', 'Dust', 'Dwarf_Planet', 'Galaxy', 'Globular_Cluster', 'Meteorite', 'Meteoroid', 'Meteoroid_Stream', 'Nebula', 'Open_Cluster', 'Planet', 'Planetary_Nebula', 'Planetary_System', 'Plasma_Cloud', 'Ring', 'Satellite', 'Star', 'Star_Cluster', 'Sun', 'Terrestrial_Sample', 'Trans-Neptunian_Object'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Uniformly_Sampled">
      <sch:assert test="pds:sampling_parameter_scale = ('Exponential', 'Linear', 'Logarithmic')">
        The attribute sampling_parameter_scale must be equal to one of the following values 'Exponential', 'Linear', 'Logarithmic'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Vector">
      <sch:assert test="pds:type = ('Position', 'Velocity')">
        The attribute type must be equal to one of the following values 'Position', 'Velocity'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:XML_Schema">
      <sch:assert test="pds:encoding_type = ('Character')">
        The attribute encoding_type must be equal to 'Character'.</sch:assert>
      <sch:assert test="pds:external_standard_id = ('Schematron', 'XML_Catalog', 'XML_Schema')">
        The attribute external_standard_id must be equal to one of the following values 'Schematron', 'XML_Catalog', 'XML_Schema'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="pds:Zipped_Member_Entry">
      <sch:assert test="pds:reference_type = ('package_has_bundle', 'package_has_collection', 'package_has_delivery_manifest')">
        The attribute reference_type must be equal to one of the following values 'package_has_bundle', 'package_has_collection', 'package_has_delivery_manifest'.</sch:assert>
    </sch:rule>
  </sch:pattern>
</sch:schema>
